searchNodes=[{"doc":"This library exposes functions to convert ISO 639-1 language code representation to ISO 639-2 and backwards where it's applicable. Data for conversions was taken from https://github.com/haliaeetus/iso-639. Note about ISO 639-2/B: all Bibliographic codes will be converted to ISO 639-2 codes","ref":"ISO639.html","title":"ISO639","type":"module"},{"doc":"List of available ISO-639-1 language codes. Exmaples &gt; ISO639 . iso639_1_codes ( ) [ &quot;aa&quot; , &quot;ab&quot; , &quot;ae&quot; , &quot;af&quot; , &quot;ak&quot; , &quot;am&quot; , &quot;an&quot; , &quot;ar&quot; , &quot;as&quot; , &quot;av&quot; , &quot;ay&quot; , &quot;az&quot; , &quot;ba&quot; , &quot;be&quot; , &quot;bg&quot; , &quot;bh&quot; , &quot;bi&quot; , &quot;bm&quot; , &quot;bn&quot; , &quot;bo&quot; , &quot;br&quot; , &quot;bs&quot; , &quot;ca&quot; , &quot;ce&quot; , &quot;ch&quot; , ... ]","ref":"ISO639.html#iso639_1_codes/0","title":"ISO639.iso639_1_codes/0","type":"function"},{"doc":"List of available ISO-639-2 language codes. Exmaples &gt; ISO639 . iso639_2_codes ( ) [ &quot;aar&quot; , &quot;abk&quot; , &quot;ace&quot; , &quot;ach&quot; , &quot;ada&quot; , &quot;ady&quot; , &quot;afa&quot; , &quot;afh&quot; , &quot;afr&quot; , &quot;ain&quot; , &quot;aka&quot; , &quot;akk&quot; , &quot;ale&quot; , &quot;alg&quot; , &quot;alt&quot; , &quot;amh&quot; , &quot;ang&quot; , &quot;anp&quot; , &quot;apa&quot; , &quot;ara&quot; , &quot;arc&quot; , ... ]","ref":"ISO639.html#iso639_2_codes/0","title":"ISO639.iso639_2_codes/0","type":"function"},{"doc":"expects as input downcased ISO 639-2 or ISO 639-2/B language code and returns ISO 639-1 code if it exists in standard and nil if not. If function receives as input ISO 639-1 language code, it's returned unchanged. Examples iex&gt; ISO639 . to_iso639_1 ( &quot;sag&quot; ) &quot;sg&quot; iex&gt; ISO639 . to_iso639_1 ( &quot;en&quot; ) &quot;en&quot; iex&gt; ISO639 . to_iso639_1 ( &quot;ace&quot; ) nil","ref":"ISO639.html#to_iso639_1/1","title":"ISO639.to_iso639_1/1","type":"function"},{"doc":"expects as input downcased ISO 639-1, ISO 639-2 or ISO 639-2/B language code and returns ISO 639-2 code if it exists in standard and nil if not. If function receives as input ISO 639-2 language code, it's returned unchanged. ISO 639-2/B will be changed to ISO 639-2 Examples iex&gt; ISO639 . to_iso639_2 ( &quot;sag&quot; ) &quot;sag&quot; iex&gt; ISO639 . to_iso639_2 ( &quot;sg&quot; ) &quot;sag&quot; iex&gt; ISO639 . to_iso639_2 ( &quot;chi&quot; ) &quot;zho&quot; iex&gt; ISO639 . to_iso639_2 ( &quot;en&quot; ) &quot;eng&quot; iex&gt; ISO639 . to_iso639_2 ( &quot;ud&quot; ) nil","ref":"ISO639.html#to_iso639_2/1","title":"ISO639.to_iso639_2/1","type":"function"},{"doc":"expects as input downcased ISO 639-1, ISO 639-2 or ISO 639-2/B language code and returns ISO 639-2/B (Bibliographic) code if it exists in standard. 639-2 code is returned if bibliographic value doesn't exist. Default value is nil for wrong argument situations. Examples iex&gt; ISO639 . to_iso639_2b ( &quot;hy&quot; ) &quot;arm&quot; iex&gt; ISO639 . to_iso639_2b ( &quot;eus&quot; ) &quot;baq&quot; iex&gt; ISO639 . to_iso639_2b ( &quot;chi&quot; ) &quot;chi&quot; iex&gt; ISO639 . to_iso639_2b ( &quot;cs&quot; ) &quot;cze&quot; iex&gt; ISO639 . to_iso639_2b ( &quot;de&quot; ) &quot;ger&quot; iex&gt; ISO639 . to_iso639_2b ( &quot;ud&quot; ) nil","ref":"ISO639.html#to_iso639_2b/1","title":"ISO639.to_iso639_2b/1","type":"function"}]